#pragma once


// Others
#include <RobotAPI/libraries/armem_robot_state/client/common/VirtualRobotReader.h>

namespace armarx::skills::mixin
{
    struct RobotReadingSkillMixin
    {
        armem::robot_state::VirtualRobotReader robotReader;

        RobotReadingSkillMixin(const armem::robot_state::VirtualRobotReader& r) : robotReader(r)
        {
        }
    };

    struct SpecificRobotReadingSkillMixin
    {
        std::string robotName;
        armem::robot_state::VirtualRobotReader robotReader;

        SpecificRobotReadingSkillMixin(const std::string& rn,
                                       const armem::robot_state::VirtualRobotReader& r) :
            robotName(rn), robotReader(r)
        {
        }
    };
} // namespace armarx::skills::mixin
